

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_pro_actividad_recursoFisico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_pro_actividad_recursoFisico]
GO
CREATE PROCEDURE [reg_pro_actividad_recursoFisico]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[actividad_recursoFisico] AS [actividad_recursoFisico],
		[duracion] AS [duracion],
		[cantidad] AS [cantidad],
		[id_recursoFisico] AS [id_recursoFisico],
		[id_actividad] AS [id_actividad]
	FROM [pro_actividad_recursoFisico]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_pro_actividad_recursoFisico]')) DROP VIEW [dbo].[view_pro_actividad_recursoFisico]
GO
CREATE  VIEW [view_pro_actividad_recursoFisico] AS
SELECT 	[pro_actividad_recursoFisico].[id] AS [id],
		[pro_actividad_recursoFisico].[uid] AS [uid],
		[pro_actividad_recursoFisico].[eid] AS [eid],
		[pro_actividad_recursoFisico].[id_usuario_modifico] AS [id_usuario_modifico],
		[pro_actividad_recursoFisico].[id_usuario_creo] AS [id_usuario_creo],
		[pro_actividad_recursoFisico].[fechaModificacion] AS [fechaModificacion],
		[pro_actividad_recursoFisico].[fechaCreacion] AS [fechaCreacion],
		[pro_actividad_recursoFisico].[active] AS [active],
		[pro_actividad_recursoFisico].[actividad_recursoFisico] AS [actividad_recursoFisico],
		[pro_actividad_recursoFisico].[duracion] AS [duracion],
		[pro_actividad_recursoFisico].[cantidad] AS [cantidad],
		[pro_actividad_recursoFisico].[id_recursoFisico] AS [id_recursoFisico],
[pro_recursoFisico].[recursoFisico] as [pro_recursoFisico_recursoFisico],
[pro_recursoFisico].[recursoFisico_codigo] as [pro_recursoFisico_recursoFisico_codigo],
[pro_recursoFisico].[costo] as [pro_recursoFisico_costo],
[pro_recursoFisico].[unidadTiempo] as [pro_recursoFisico_unidadTiempo],
[pro_recursoFisico].[esPropio] as [pro_recursoFisico_esPropio],
[pro_recursoFisico].[id_equipo] as [pro_recursoFisico_id_equipo],
[pro_recursoFisico].[id_catalogo] as [pro_recursoFisico_id_catalogo],
		[pro_actividad_recursoFisico].[id_actividad] AS [id_actividad],
[pro_actividad].[actividad] as [pro_actividad_actividad],
[pro_actividad].[actividad_codigo] as [pro_actividad_actividad_codigo],
[pro_actividad].[fechainicioPlaneada] as [pro_actividad_fechainicioPlaneada],
[pro_actividad].[fechainicioProyectada] as [pro_actividad_fechainicioProyectada],
[pro_actividad].[fechaInicioReal] as [pro_actividad_fechaInicioReal],
[pro_actividad].[fechaTerminacionPlaneada] as [pro_actividad_fechaTerminacionPlaneada],
[pro_actividad].[fechaTerminacionProyectada] as [pro_actividad_fechaTerminacionProyectada],
[pro_actividad].[fechaTerminacionReal] as [pro_actividad_fechaTerminacionReal],
[pro_actividad].[descripcionDetallada] as [pro_actividad_descripcionDetallada],
[pro_actividad].[duracion] as [pro_actividad_duracion],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [pro_actividad_recursoFisico]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[pro_actividad_recursoFisico].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[pro_actividad_recursoFisico].[id_usuario_creo]
	INNER JOIN [pro_recursoFisico] ON [pro_recursoFisico].id=[pro_actividad_recursoFisico].[id_recursoFisico]
	INNER JOIN [pro_actividad] ON [pro_actividad].id=[pro_actividad_recursoFisico].[id_actividad]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [pro_actividad_recursoFisico].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_actividad_recursoFisicosXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_actividad_recursoFisicosXusuario_modifico]
GO
CREATE PROCEDURE [sel_pro_actividad_recursoFisicosXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_actividad_recursoFisico]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_actividad_recursoFisicosXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_actividad_recursoFisicosXusuario_creo]
GO
CREATE PROCEDURE [sel_pro_actividad_recursoFisicosXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_actividad_recursoFisico]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_actividad_recursoFisicosXrecursoFisico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_actividad_recursoFisicosXrecursoFisico]
GO
CREATE PROCEDURE [sel_pro_actividad_recursoFisicosXrecursoFisico]
	@p_id_recursoFisico INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_actividad_recursoFisico]
	WHERE ([id_recursoFisico]= @p_id_recursoFisico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_actividad_recursoFisicosXactividad]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_actividad_recursoFisicosXactividad]
GO
CREATE PROCEDURE [sel_pro_actividad_recursoFisicosXactividad]
	@p_id_actividad INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_actividad_recursoFisico]
	WHERE ([id_actividad]= @p_id_actividad)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_actividad_recursoFisicos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_actividad_recursoFisicos]
GO
CREATE PROCEDURE [sel_pro_actividad_recursoFisicos]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_pro_actividad_recursoFisico]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_pro_actividad_recursoFisicos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_pro_actividad_recursoFisicos]
GO
CREATE PROCEDURE [lis_pro_actividad_recursoFisicos]
	AS
BEGIN
	SELECT id AS id,
[actividad_recursoFisico] AS [pro_actividad_recursoFisico]
	FROM [pro_actividad_recursoFisico]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_pro_actividad_recursoFisico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_pro_actividad_recursoFisico]
GO
CREATE PROCEDURE [upd_pro_actividad_recursoFisico]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_actividad_recursoFisico varchar(300) = null,
		@p_duracion varchar(100) = null,
		@p_cantidad int = null,
		@p_id_recursoFisico int = null,
		@p_id_actividad int = null
AS
BEGIN
		UPDATE [pro_actividad_recursoFisico]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[actividad_recursoFisico] = isnull(@p_actividad_recursoFisico,[actividad_recursoFisico]),
			[duracion] = isnull(@p_duracion,[duracion]),
			[cantidad] = isnull(@p_cantidad,[cantidad]),
			[id_recursoFisico] = isnull(@p_id_recursoFisico,[id_recursoFisico]),
			[id_actividad] = isnull(@p_id_actividad,[id_actividad])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_pro_actividad_recursoFisico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_pro_actividad_recursoFisico]
GO
CREATE PROCEDURE [ins_pro_actividad_recursoFisico]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_actividad_recursoFisico varchar(300),
		@p_duracion varchar(100),
		@p_cantidad int,
		@p_id_recursoFisico int,
		@p_id_actividad int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [pro_actividad_recursoFisico]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[actividad_recursoFisico],
			[duracion],
			[cantidad],
			[id_recursoFisico],
			[id_actividad])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_actividad_recursoFisico,
			@p_duracion,
			@p_cantidad,
			@p_id_recursoFisico,
			@p_id_actividad)
		SET @v_id = scope_identity()
UPDATE [pro_actividad_recursoFisico] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_pro_actividad_recursoFisico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_pro_actividad_recursoFisico]
GO
CREATE PROCEDURE [act_pro_actividad_recursoFisico]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [pro_actividad_recursoFisico]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_pro_actividad_recursoFisico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_pro_actividad_recursoFisico_m]
GO
CREATE PROCEDURE [reg_pro_actividad_recursoFisico_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[actividad_recursoFisico] AS [actividad_recursoFisico],
		[duracion] AS [duracion],
		[cantidad] AS [cantidad],
		[id_recursoFisico] AS [id_recursoFisico],
		[id_actividad] AS [id_actividad]
	FROM [pro_actividad_recursoFisico]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_actividad_recursoFisicosXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_actividad_recursoFisicosXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_pro_actividad_recursoFisicosXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_actividad_recursoFisico]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_actividad_recursoFisicosXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_actividad_recursoFisicosXusuario_creo_m]
GO
CREATE PROCEDURE [sel_pro_actividad_recursoFisicosXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_actividad_recursoFisico]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_actividad_recursoFisicosXrecursoFisico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_actividad_recursoFisicosXrecursoFisico_m]
GO
CREATE PROCEDURE [sel_pro_actividad_recursoFisicosXrecursoFisico_m]
	@p_id_recursoFisico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_actividad_recursoFisico]
	WHERE ([id_recursoFisico]= @p_id_recursoFisico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_actividad_recursoFisicosXactividad_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_actividad_recursoFisicosXactividad_m]
GO
CREATE PROCEDURE [sel_pro_actividad_recursoFisicosXactividad_m]
	@p_id_actividad INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_actividad_recursoFisico]
	WHERE ([id_actividad]= @p_id_actividad)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_actividad_recursoFisicos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_actividad_recursoFisicos_m]
GO
CREATE PROCEDURE [sel_pro_actividad_recursoFisicos_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_pro_actividad_recursoFisico]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_pro_actividad_recursoFisicos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_pro_actividad_recursoFisicos_m]
GO
CREATE PROCEDURE [lis_pro_actividad_recursoFisicos_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[actividad_recursoFisico] AS [pro_actividad_recursoFisico]
	FROM [pro_actividad_recursoFisico]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_pro_actividad_recursoFisico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_pro_actividad_recursoFisico]
GO
CREATE PROCEDURE [aud_pro_actividad_recursoFisico]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [pro_actividad_recursoFisico].id as id_tabla,
	[pro_actividad_recursoFisico].id_usuario_modifico as id_usuario_modifico,
	[pro_actividad_recursoFisico].id_usuario_creo as id_usuario_creo,
	[pro_actividad_recursoFisico].fechaModificacion as fechaModificacion,
	[pro_actividad_recursoFisico].fechaCreacion as fechaCreacion,
	[pro_actividad_recursoFisico].active as active,
	[pro_actividad_recursoFisico].[actividad_recursoFisico] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [pro_actividad_recursoFisico]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[pro_actividad_recursoFisico].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[pro_actividad_recursoFisico].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'pro_actividad_recursoFisico'
-----------------------------------16/07/2015 12:42:10 p.m.